org.apache.poi.xwpf.usermodel

## Enum BreakClear

- java.lang.Object
- - java.lang.Enum<BreakClear>
  - - org.apache.poi.xwpf.usermodel.BreakClear

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<BreakClear>

      public enum BreakClear
      extends java.lang.Enum<BreakClear>

  Specifies the set of possible restart locations which may be used as to determine the next available line when a break's type attribute has a value of textWrapping.
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document which spans the full width of the line.
    `LEFT` Specifies that the text wrapping break shall behave as follows: If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides: If this is the leftmost region of text flow on this line, advance the text to the next position on the line Otherwise, treat this as a text wrapping break of type all.
    `NONE` Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document, regardless of its position left to right or the presence of any floating objects which intersect with the line,
    `RIGHT` Specifies that the text wrapping break shall behave as follows: If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides: If this is the rightmost region of text flow on this line, advance the text to the next position on the next line Otherwise, treat this as a text wrapping break of type all.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static BreakClear` | `valueOf(int type)`
    `static BreakClear` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BreakClear[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final BreakClear NONE

      Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document, regardless of its position left to right or the presence of any floating objects which intersect with the line,

      This is the setting for a typical line break in a document.

    - #### LEFT

          public static final BreakClear LEFT

      Specifies that the text wrapping break shall behave as follows:
      - If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides:
        - If this is the leftmost region of text flow on this line, advance the text to the next position on the line
        - Otherwise, treat this as a text wrapping break of type all.
      - If this line is not broken into multiple regions, then treat this break as a text wrapping break of type none.
    - If the parent paragraph is right to left, then these behaviors are also reversed.

- #### RIGHT

      public static final BreakClear RIGHT

  Specifies that the text wrapping break shall behave as follows:
  - If this line is broken into multiple regions (a floating object in the center of the page has text wrapping on both sides:
    - If this is the rightmost region of text flow on this line, advance the text to the next position on the next line
    - Otherwise, treat this as a text wrapping break of type all.
  - If this line is not broken into multiple regions, then treat this break as a text wrapping break of type none.
  - If the parent paragraph is right to left, then these beha viors are also reversed.

- #### ALL

      public static final BreakClear ALL

  Specifies that the text wrapping break shall advance the text to the next line in the WordprocessingML document which spans the full width of the line.

- ### Method Detail

  - #### values

        public static BreakClear[] values()

    Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

        for (BreakClear c : BreakClear.values())
            System.out.println(c);

    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - #### valueOf

        public static BreakClear valueOf(java.lang.String name)

    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - #### valueOf

        public static BreakClear valueOf(int type)

  - #### getValue

        public int getValue()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.